Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1485591 - Review Request: R-base64enc - Tools for base64 encoding
Summary: Review Request: R-base64enc - Tools for base64 encoding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-26 06:05 UTC by Elliott Sales de Andrade
Modified: 2017-09-30 06:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-09 23:52:16 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-08-26 06:05:43 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/IRkernel/fedora-rawhide-x86_64/00594297-R-base64enc/R-base64enc.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/IRkernel/fedora-rawhide-x86_64/00594297-R-base64enc/R-base64enc-0.1.3-1.fc28.src.rpm
Description: This package provides tools for handling base64 encoding. It is more flexible than the orphaned base64 package.
Fedora Account System Username: qulogic

Comment 1 Robert-André Mauchin 🐧 2017-08-26 17:30:31 UTC
Everything is okay, package accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package have the default element marked as %%doc :DESCRIPTION, NEWS
- Package requires R-core.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 14 files have unknown license. Detailed
     output of licensecheck in
     /home/bob/packaging/review/R-base64enc/review-R-base64enc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in R
     -base64enc-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 0.1.3, packaged version is 0.1.3

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-base64enc-0.1.3-1.fc28.x86_64.rpm
          R-base64enc-debuginfo-0.1.3-1.fc28.x86_64.rpm
          R-base64enc-0.1.3-1.fc28.src.rpm
R-base64enc.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
R-base64enc.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Robert-André Mauchin 🐧 2017-08-27 10:16:19 UTC
Sorry, I missed the "issues"!

Issues:
=======
- Package have the default element marked as %%doc :DESCRIPTION, NEWS
- Package requires R-core.


You need to require R-core, and remove NEWS from %doc according to Fedora-review

Comment 3 Elliott Sales de Andrade 2017-08-27 17:03:00 UTC
Hmm, that seems to be the way that R2spec generated it. At least NEWS seems consistent with the R guidelines pages. Unfortunate that R-core is not added automatically.

Comment 4 Robert-André Mauchin 🐧 2017-08-27 17:42:08 UTC
It seems to be the case for your other R packages (I have R-mime on standby), could you do a check of the other R packages? For NEWS, maybe Fedora-review is not up to speed to the latest Guidelines, which happens fairly often.

Comment 5 Elliott Sales de Andrade 2017-08-27 23:48:04 UTC
The last time the R guidelines were updated was in https://pagure.io/packaging-committee/issue/535 where DESCRIPTION was moved from %doc, but not NEWS, so I assume that's where they want it to be.

Checking again, why do I need an explicit R-core Require? That should be handled by the automatic libR.so Require, no?

Comment 6 Elliott Sales de Andrade 2017-08-28 00:06:26 UTC
Oh, looking at fedora-review, I think it's actually talking about BuildRequires. But it means I should use R-core instead of R because it's smaller. However, R-devel appears to be an alias of R-core and should work.

Comment 7 Robert-André Mauchin 🐧 2017-08-28 09:48:35 UTC
R-core is not an alias for R-devel. R-core is 55MB while R-devel is 30ko.
I'm pretty certain it's a Requires: R-core not a BuildRequires, that's how other R packages I've looked at handle it.

For the NEWS, I think you're right, all other packages mark it as %doc.

Comment 8 Elliott Sales de Andrade 2017-08-29 00:17:36 UTC
Are they arch or noarch? Because the libR.so dep from the shared library should pull in R-core automatically as a Requires (try installing from the copr).

Comment 9 Robert-André Mauchin 🐧 2017-08-29 07:30:55 UTC
Indeed, I've checked, it does pull the whole R-core. I'll ignore fedora-review message then.

Comment 10 Gwyn Ciesla 2017-08-29 10:24:22 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-base64enc

Comment 11 Fedora Update System 2017-08-31 00:15:15 UTC
R-base64enc-0.1.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-687199f3f4

Comment 12 Fedora Update System 2017-08-31 00:15:55 UTC
R-base64enc-0.1.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3516f3975f

Comment 13 Fedora Update System 2017-09-01 04:21:59 UTC
R-base64enc-0.1.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-687199f3f4

Comment 14 Fedora Update System 2017-09-01 11:57:15 UTC
R-base64enc-0.1.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3516f3975f

Comment 15 Fedora Update System 2017-09-09 23:52:16 UTC
R-base64enc-0.1.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-09-30 06:08:27 UTC
R-base64enc-0.1.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.